Subject: Re: [PATCH v2 00/17] Networking driver debugfs cleanups

From: Greg KH <[email-masked]>
Date: Sat, 10 Aug 2019 12:17:27 +0200

On Fri, Aug 09, 2019 at 11:20:54AM -0700, David Miller wrote:
> From: Greg Kroah-Hartman <[email-masked]>
> Date: Fri,  9 Aug 2019 14:30:51 +0200
> 
> > v2: fix up build warnings, it's as if I never even built these.  Ugh, so
> >     sorry for wasting people's time with the v1 series.  I need to stop
> >     relying on 0-day as it isn't working well anymore :(
> 
> One more try Greg:
> 
> drivers/net/wimax/i2400m/debugfs.c: In function ‘i2400m_debugfs_add’:
> drivers/net/wimax/i2400m/debugfs.c:192:17: warning: unused variable ‘dev’ [-Wunused-variable]
>   struct device *dev = i2400m_dev(i2400m);
>                  ^~~

It's as if I don't even know how to use a compiler anymore.  Ugh :(

v3 coming soon, sorry for the noise.

greg k-h